##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(windows/windows.pri)

# ----- options ---------
CONFIG += debug_and_release
QMAKE_CXXFLAGS+=-fexceptions

QT     += core widgets concurrent
CONFIG += qt thread rtti exceptions warn_on

# ----- build path, path to object and moc files
CONFIG(debug, debug|release) {
    DESTDIR =  $$PWD/build-debug
}
CONFIG(release, debug|release) {
    DESTDIR = $$PWD/build-release
}
BUILD_ROOT  = $${DESTDIR}
OBJECTS_DIR = $${DESTDIR}/obj
MOC_DIR     = $${DESTDIR}/moc
GUI_LIBDIR  = $${DESTDIR}/lib

# ----- libraries ---------

isEmpty(CUBELIB_ROOT) {
    CUBELIB_ROOT = /opt/cubelib
} else {
    CUBELIB_ROOT = $$CUBELIB_ROOT
}
linux {
    CUBELIB_CONFIG = $${CUBELIB_ROOT}/bin/cubelib-config
    LIBS += $$system($$CUBELIB_CONFIG --ldflags) $$system($$CUBELIB_CONFIG --libs)
}

QMAKE_RPATHDIR += $${GUI_LIBDIR}

# ----- path to CubeGUI source files
GUI_SRC = $${PWD}/../src/GUI-qt

# ----- path to headers ---------
INCLUDEPATH += \
        $${PWD}/include \ # config.h, cube-version.h
        $${GUI_SRC}/display \
        $${GUI_SRC}/display/plugins \
        $${GUI_SRC}/display/utils \
        $${CUBELIB_ROOT}/include/cubelib

DEPENDPATH += \
        $${GUI_SRC}/display \
        $${GUI_SRC}/display/plugins \
        $${GUI_SRC}/display/utils
